# Uses of Class
org.jsoup.internal.ConstrainableInputStream

Packages that use ConstrainableInputStream
Package
Description
org.jsoup.internal
Util methods used by Jsoup.

## Uses of ConstrainableInputStream in org.jsoup.internal

Methods in org.jsoup.internal that return ConstrainableInputStream
Modifier and Type
Method
Description
`ConstrainableInputStream`
ConstrainableInputStream.`timeout(long startTimeNanos, long timeoutMillis)`
`static ConstrainableInputStream`
ConstrainableInputStream.`wrap(InputStream in, int bufferSize, int maxSize)`
If this InputStream is not already a ConstrainableInputStream, let it be one.